Home > Python Error > Python Error Pythreadstate_get No Current Thread

Python Error Pythreadstate_get No Current Thread

Contents

I am new to this. Was there any particular reason you downloaded a separate python2.7 version rather than use the default 2.7 installation that comes with Mountain Lion? share|improve this answer answered Jul 10 '14 at 12:21 Chinh Sutran 412 1 That did not work for me however :( –eleijonmarck Feb 25 '15 at 16:31 There I will try it again with system python. this content

Reload to refresh your session. Try python -v to see exactly what module is being imported before the crash. –mata Feb 6 at 9:15 Thanks mata, Last few lines are import encodings.ascii # precompiled The person reporting the bug can probably work around this problem by setting the environment variable DYLD_LIBRARY_PATH to /opt/local. Signed-off-by: Mike McQuaid ">graphviz: add $PYTHON_PREFIX/lib to linker search path … Make sure the active python framework's lib directory is in the linker search path. More hints

Fatal Python Error: Pythreadstate_get: No Current Thread Homebrew

is there anyway to make PyRosetta working if PYTHONPAT is not /usr/bin/python? Already have an account? So then I use install_name_tool to fix the path of this libinstall_name_tool -change libpython2.7.dylib /Users/walkloud/install/anaconda/lib/libpython2.7.dylib libPyROOT.soand then the above ROOT import works and I can interact as described via the pyroot how can I fix it?

  • It does work for me too.
  • Mac OS X provides similar software, and installing this software in parallel can cause all kinds of trouble.
  • Importing gobject works just fine, and I can ^D out of the python interpreter after importing just fine, but importing cairo immediately errors out: $ python Python 2.7.3 (default, Sep 25
  • sudo port select --list python For my computer, it showed: Available versions for python: none python25-apple python26 python26-apple python27 (active) python27-apple in which python27(by Macport) was currently active.
  • I have Python 2.7 installed from the official installer in /Library/Frameworks/Python.framework/Versions/2.7/bin/python and IPhyton installed with easy_install in /Library/Frameworks/Python.framework/Versions/2.7/bin/ipython.
  • Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign up using Facebook Sign up using Email and Password Post as a guest Name
  • comment:7 Changed 3 years ago by [email protected]… This is the output, sir: /opt/local/Library/Frameworks/Python.framework/Versions/2.7/Python (compatibility version 2.7.0, current version 2.7.0) /usr/local/lib/libboost_iostreams.dylib (compatibility version 0.0.0, current version 0.0.0) /usr/local/lib/libboost_python.dylib (compatibility version 0.0.0, current
  • OS X provides the BSD libedit library, which shadows libreadline.
  • Reference: https://wolfpaulus.com/journal/mac/installing_python_osx/ http://stackoverflow.com/questions/15678153/homebrew-python-on-mac-os-x-10-8-fatal-python-error-pythreadstate-get-no-cu Posted on python, OSX Liked this post ?

Please note that it does not mean that you have to make it system default, just make sure to start PyRosetta with /usr/bin/python. Here is the report. So following some other threads, I do the followingotool -L /Users/walkloud/install/root/lib/libPyROOT.so /Users/walkloud/install/root/lib/libPyROOT.so:@rpath/libPyROOT.so (compatibility version 0.0.0, current version 0.0.0)/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1197.1.1)@rpath/libRIO.so (compatibility version 0.0.0, current version 0.0.0)@rpath/libTree.so (compatibility Fatal Python Error: Pythreadstate_get: No Current Thread Anaconda Already downloaded: /Library/Caches/Homebrew/graphviz-2.38.0.tar.gz ==> Downloading https://trac.macports.org/export/103168/trunk/dports/graphics/gr Already downloaded: /Library/Caches/Homebrew/graphviz--patch-b242fb8fa81489dd16830e5df6bbf5448a3874d5.diff ==> Patching patching file macosx/graphviz.xcodeproj/project.pbxproj ==> ./configure --prefix=/usr/local/Cellar/graphviz/2.38.0 --without-qt --with-q ==> make install 🍺 /usr/local/Cellar/graphviz/2.38.0: 504 files, 69M, built in 54 seconds

comments powered by Disqus First time here? If this happens on Mac, you should download the latest Python from Python.org (At the time of writing: http://www.python.org/ftp/python/2.7.5/python-2.7.5-macosx10.6.dmg ) If you want to be able to use python from the Last edited 2 years ago by ryandesign (Ryan Schmidt) (previous) (diff) comment:11 in reply to: ↑ 9 Changed 3 years ago by [email protected]… Replying to [email protected]…: This is the same for me. Replace it by the full path name of each dynamic library in the list (i.e., the names ending in .dylib.

How can a nine tailed fox catch its prey? Mayavi Fatal Python Error: Pythreadstate_get: No Current Thread When I open python and run import gtk, python segfaults, and it seems this issue is not new. echo $PYTHONPATH echo $LD_LIBRARY_PATH echo $DYLD_LIBRARY_PATH Adjusting them may get PyRosetta to work appropriately, although doing so may then break your regular Mac OS programs. I missed a step in the OS X instructions: "Note: It is recommended to use the system python rather than homebrewed python because of problems with segmentation faults.

Fatal Python Error: Pythreadstate_get: No Current Thread Swig

Corrupt module of framework Hot Network Questions Does anyone know what this piece of glassware is? I just confirmed that this does not crash /opt/local/bin/python2.7 for me: from graph_tool.all import * Do you have any dependencies installed with non-default variants? Fatal Python Error: Pythreadstate_get: No Current Thread Homebrew As you pointed, it maybe caused by having another version of Boost installed in /usr/local. Fatal Python Error: Pythreadstate_get: No Current Thread Vim What is the output of this command?: otool -L /opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/graph_tool/libgraph_tool_core.so I am installing py27-graph-tool now to see if I can reproduce the error.

This formula uses env :std which I thought would work the same way, preferring the Python it finds in PATH, but even when Homebrew is first in PATH I see that http://caribtechsxm.com/python-error/python-error-errno.php What do the following commands print in your terminal? We also have to decide whether the formulas pygobject, py2cairo, and pygtk are installing their python libraries in the correct site-packages directory for your non-standard setup, and we have to decide What do you get for which gcc ? Fatal Python Error: Pythreadstate_get: No Current Thread Vtk

Word for making your life circumstances seem much worse than they are Open a text file and remove any blank lines Why don't cameras offer more than 3 colour channels? (Or Do I need to do something with Python before recompiling? Note: See TracTickets for help on using tickets. http://caribtechsxm.com/python-error/python-error-log-mac.php Will leave this and see if one of our more Pythony folks have ideas.

I've tried cmake and the old style ./configure; makeMac OS X El Capitan 10.11.3Code: Select allroot-v6-06-02$ gcc --version
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 7.0.2 (clang-700.1.81)
Target: x86_64-apple-darwin15.3.0
Thread model: Fatal Python Error Pythreadstate_get No Current Thread Abort -trap Non payment on (Phone) Handset Lease Differentiation of sine in Fourier domain Newb question: Is it OK for the outside of my power supply to touch these metal brackets and screws? edit retag flag offensive close merge delete CommentsHaving the same issue.Tom Moore( 2014-11-27 08:21:13 -0500 )editUnfortunately I think you need to recompile everything, since all the packages which built against Python

If you build your own software and it requires this formula, you'll need to add to your build variables: LDFLAGS: -L/Users/benjamin/homebrew/opt/sqlite/lib CPPFLAGS: -I/Users/benjamin/homebrew/opt/sqlite/include ==> Summary 🍺 /Users/benjamin/homebrew/Cellar/sqlite/3.8.6: 9 files, 2.1M, built

Endpoint : http://nao.local:9559 Make sure NAOqi is running and the IP you used in ALProxy constructor is correct RuntimeError: ALNetwork::getModuleByName failed to get module MyModule http://nao.local:9559 Make sure you spelt the Hi there! ok will do. Fatal Python Error: Pythreadstate_get: No Current Thread Root The person reporting the bug can probably work around this problem by setting the environment variable DYLD_LIBRARY_PATH to /opt/local.

I'm not totally sure this interacts the right way with depends_on :python or I'd open a PR. This is not a MacPorts problem. Help me remember which is which: "humoro" and "humuro" Would it be ok to eat rice using spoon in front of Westerners? check my blog Then you can fix by using install_name_tool.

Warning: Your Homebrew is not installed to /usr/local You can install Homebrew anywhere you want, but some brews may only build correctly if you install in /usr/local. Part of it could be may fault, because I coded py2cairo to use the first python-config it finds in your path. build 5577)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
Anaconda is brought to you by Continuum Analytics.
Please check out: http://continuum.io/thanks and https://anaconda.org
>>> import ROOT
Fatal I have no idea why it crashes for you.

Homebrew member tdsmith commented Sep 9, 2014 It looks like the homebrew bin directory probably isn't in your PATH? In case it illuminates, I also ran otool against my /usr/local-installation Graphviz (which does not have the depends_on :python patch): (localhost ~)% otool -L $(brew --prefix)/lib/python2.7/site-packages/_gv.so /usr/local/lib/python2.7/site-packages/_gv.so: /usr/local/Cellar/graphviz/2.38.0/lib/libgvc.6.dylib (compatibility version 7.0.0, Whenever I try to run python scripts such as rostopic or rosrun rqt_graph rqt_graph, I get the following error: Fatal Python error: PyThreadState_Get: no current thread Abort trap: 6 I understand Version mismatch¶ Version mismatch Your version of Python does not match the one with which the Python SDK was made.

Generally to fix you need to call otool -L on boost_python.dylib and or on 'site_packages/mapnik/_mapnik.so' to see which ended up with a linkage to the system python. However, it was odd that none of your pygobject libraries linked against python at all. 2bits commented Sep 26, 2012 Unfortunately you ran into an ongoing HB problem adjusting the py2cairo We recommend upgrading to the latest Safari, Google Chrome, or Firefox. ImportError: libpython2.6.so.1.0: cannot open shared object file: No such file or directory You are using a Python2.7 with the python2.6 version of the Python SDK.

asked 3 years ago viewed 28009 times active 1 year ago Blog Stack Overflow Podcast #92 - The Guerilla Guide to Interviewing Linked 0 solving fatal Python error (Mac OS X Is there a way I can check with cmd? OS X provides an older sqlite3.